package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.dataset.*;
import com.tmax.openframe.variable.group.TEMPCOB_SAMPLE;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface TEMPCOB_TEMPCOB_FD_IN01_DoToTEMPCOB_SAMPLEMapper {
    TEMPCOB_TEMPCOB_FD_IN01_DoToTEMPCOB_SAMPLEMapper INSTANCE = Mappers
            .getMapper(TEMPCOB_TEMPCOB_FD_IN01_DoToTEMPCOB_SAMPLEMapper.class);

    @Mapping(source = "SORTIN_KEY", target = "SORTIN_KEY")
    @Mapping(source = "SORTIN_DAT", target = "SORTIN_DAT")
    TEMPCOB_SAMPLE toTEMPCOB_SAMPLE(TEMPCOB_TEMPCOB_FD_IN01_Do source);

    @Mapping(source = "SORTIN_KEY", target = "SORTIN_KEY")
    @Mapping(source = "SORTIN_DAT", target = "SORTIN_DAT")
    TEMPCOB_TEMPCOB_FD_IN01_Do toTEMPCOB_TEMPCOB_FD_IN01_Do(
            TEMPCOB_SAMPLE source);
}
